#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - ffmpeg-3 preinstallation
#
# Creation   :  2018-10-30 holbru
# Last update:  $Id: preinstall.sh 59310 2018-11-01 20:20:01Z hbfl $
#
# Copyright (c) 2018-2022 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=ffmpeg-3

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
# conflict with packages 
installed=$(eisman query --installed ffmpeg* | awk '/name/ {print $2}' | grep -v 'dev')

if [ -n "${installed}" ] &&
   [ "${installed}" != "${package_name}" ]
then
    eisman uninstall --auto --force ${installed}
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
